"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MOONBASE_ASSETS_MAP = exports.MOONBASE_ASSETS = void 0;
const constants_1 = require("../../constants");
exports.MOONBASE_ASSETS = [
    constants_1.AssetSymbol.CLV,
    constants_1.AssetSymbol.CRU,
    constants_1.AssetSymbol.DEV,
    constants_1.AssetSymbol.LIT,
    constants_1.AssetSymbol.TT1,
    constants_1.AssetSymbol.UNIT,
];
exports.MOONBASE_ASSETS_MAP = {
    [constants_1.AssetSymbol.CLV]: {
        id: '281434042901349570144900941495462927562',
        erc20Id: '0xffffffffd3ba399d7d9d684d94b22767a5fa1cca',
        originSymbol: constants_1.AssetSymbol.CLV,
    },
    [constants_1.AssetSymbol.CRU]: {
        id: '108457044225666871745333730479173774551',
        erc20Id: '0xffffffff519811215e05efa24830eebe9c43acd7',
        originSymbol: constants_1.AssetSymbol.CRU,
    },
    [constants_1.AssetSymbol.DEV]: {
        id: '',
        erc20Id: '0x0000000000000000000000000000000000000802',
        originSymbol: constants_1.AssetSymbol.DEV,
        isNative: true,
    },
    [constants_1.AssetSymbol.LIT]: {
        id: '65216491554813189869575508812319036608',
        erc20Id: '0xffffffff31103d490325bb0a8e40ef62e2f614c0',
        originSymbol: constants_1.AssetSymbol.LIT,
    },
    [constants_1.AssetSymbol.UNIT]: {
        id: '42259045809535163221576417993425387648',
        erc20Id: '0xffffffff1fcacbd218edc0eba20fc2308c778080',
        originSymbol: constants_1.AssetSymbol.UNIT,
    },
    [constants_1.AssetSymbol.TT1]: {
        id: '156305701417244550631956600137082963628',
        erc20Id: '0xffffffff75976211c786fe4d73d2477e222786ac',
        originSymbol: constants_1.AssetSymbol.TT1,
        foreignIds: {
            [constants_1.ChainKey.StatemineAlphanet]: 2,
        },
    },
};
//# sourceMappingURL=moonbase.assets.js.map